Bug 185167 - USB2 Hard Drive only works once per boot
USB2 Hard Drive only works once per boot
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-03-10 20:13 EST by Robert Locke
Modified: 2008-01-19 23:38 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-01-19 23:38:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
messages, dmesg, lspci (5.75 KB, text/plain)
2006-03-10 20:13 EST, Robert Locke
no flags Details
lsmod output to list modules (2.52 KB, text/plain)
2006-03-10 20:47 EST, Robert Locke
no flags Details

  None (edit)
Description Robert Locke 2006-03-10 20:13:05 EST
Description of problem:
Thinkpad T40 with new WD Passport 80GB USB2 Hard Drive will work as a high speed
device the first time I connect, but fails on subsequent connection, at high
speed.  I am able to modprobe -r ehci-hcd and connect as a low speed device with
repeated connections.

Version-Release number of selected component (if applicable):
Comment 1 Robert Locke 2006-03-10 20:13:05 EST
Created attachment 125972 [details]
messages, dmesg, lspci
Comment 2 Pete Zaitcev 2006-03-10 20:25:14 EST
Looks like some random corruption to me. Otherwise how an address could jump
from 2 to 6 and from 8 to 23? You aren't running an nVidia video driver by
any chance? It's known to do things like that.
Comment 3 Robert Locke 2006-03-10 20:45:47 EST
The increments seem rather random each time I do this....  And, no, I am not
running nVidia....  The only "non-standard" driver is, dare I say, madwifi from
the livna repository....
Comment 4 Robert Locke 2006-03-10 20:47:20 EST
Created attachment 125974 [details]
lsmod output to list modules

Here is the output of modules loaded subsequent to the failure....
Comment 5 Robert Locke 2006-04-09 21:12:03 EDT
Have upgraded to FC5.  Problem persists on FC5 (kernel-2.6.16-1.2080_FC5).
Comment 6 Dave Jones 2006-10-16 14:08:33 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 7 Jon Stanley 2008-01-19 23:38:56 EST
(this is a mass-close to kernel bugs in NEEDINFO state)

As indicated previously there has been no update on the progress of this bug
therefore I am closing it as INSUFFICIENT_DATA. Please re-open if the issue
still occurs for you and I will try to assist in its resolution. Thank you for
taking the time to report the initial bug.

If you believe that this bug was closed in error, please feel free to reopen
this bug.

Note You need to log in before you can comment on or make changes to this bug.